org.tmatesoft.svn.core.wc.xml

## Class SVNXMLDirEntryHandler

- java.lang.Object
- - org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
  - - org.tmatesoft.svn.core.wc.xml.SVNXMLDirEntryHandler

- All Implemented Interfaces:
    java.util.Comparator, ISVNDirEntryHandler, org.xml.sax.Locator

      public class SVNXMLDirEntryHandler
      extends AbstractXMLHandler
      implements ISVNDirEntryHandler, java.util.Comparator

  This is an implementation of the ISVNStatusHandler interface that writes XML formatted status information to a specified ContentHandler.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUTHOR_TAG` `'author'` tag.
    `static java.lang.String` | `COMMENT_TAG` `'comment'` tag.
    `static java.lang.String` | `COMMIT_TAG` `'commit'` tag.
    `static java.lang.String` | `CREATED_TAG` `'created'` tag.
    `static java.lang.String` | `DATE_TAG` `'date'` tag.
    `static java.lang.String` | `ENTRY_TAG` `'entry'` tag.
    `static java.lang.String` | `EXPIRES_TAG` `'expires'` tag.
    `static java.lang.String` | `LIST_TAG` `'list'` tag.
    `static java.lang.String` | `LISTS_TAG` `'lists'` tag.
    `static java.lang.String` | `LOCK_TAG` `'lock'` tag.
    `static java.lang.String` | `NAME_TAG` `'name'` tag.
    `static java.lang.String` | `OWNER_TAG` `'owner'` tag.
    `static java.lang.String` | `PATH_ATTR` `'path'` attribute.
    `static java.lang.String` | `REVISION_ATTR` `'revision'` attribute.
    `static java.lang.String` | `SIZE_TAG` `'size'` tag.
    `static java.lang.String` | `TOKEN_TAG` `'tag'` tag.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNXMLDirEntryHandler(org.xml.sax.ContentHandler saxHandler)` Creates a new handler.
    `SVNXMLDirEntryHandler(org.xml.sax.ContentHandler saxHandler, org.tmatesoft.svn.util.ISVNDebugLog log)` Creates a new handler.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.lang.Object o1, java.lang.Object o2)` Compares two objects.
    `void` | `endTarget()` Closes the formatted XML output.
    `protected java.lang.String` | `getHeaderName()`
    `void` | `handleDirEntry(SVNDirEntry entry)` Handles a next dir `entry`.
    `void` | `startTarget(java.lang.String path)` Begins an XML tree with the target path for which the status is run.

    - ### Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler

      `addAttribute, addTag, closeTag, endDocument, getColumnNumber, getDebugLog, getLineNumber, getPublicId, getSystemId, openTag, startDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Field Detail

    - #### EXPIRES_TAG

          public static final java.lang.String EXPIRES_TAG

      `'expires'` tag.
      See Also:
        Constant Field Values

    - #### CREATED_TAG

          public static final java.lang.String CREATED_TAG

      `'created'` tag.
      See Also:
        Constant Field Values

    - #### COMMENT_TAG

          public static final java.lang.String COMMENT_TAG

      `'comment'` tag.
      See Also:
        Constant Field Values

    - #### OWNER_TAG

          public static final java.lang.String OWNER_TAG

      `'owner'` tag.
      See Also:
        Constant Field Values

    - #### TOKEN_TAG

          public static final java.lang.String TOKEN_TAG

      `'tag'` tag.
      See Also:
        Constant Field Values

    - #### LOCK_TAG

          public static final java.lang.String LOCK_TAG

      `'lock'` tag.
      See Also:
        Constant Field Values

    - #### PATH_ATTR

          public static final java.lang.String PATH_ATTR

      `'path'` attribute.
      See Also:
        Constant Field Values

    - #### REVISION_ATTR

          public static final java.lang.String REVISION_ATTR

      `'revision'` attribute.
      See Also:
        Constant Field Values

    - #### LISTS_TAG

          public static final java.lang.String LISTS_TAG

      `'lists'` tag.
      See Also:
        Constant Field Values

    - #### LIST_TAG

          public static final java.lang.String LIST_TAG

      `'list'` tag.
      See Also:
        Constant Field Values

    - #### ENTRY_TAG

          public static final java.lang.String ENTRY_TAG

      `'entry'` tag.
      See Also:
        Constant Field Values

    - #### NAME_TAG

          public static final java.lang.String NAME_TAG

      `'name'` tag.
      See Also:
        Constant Field Values

    - #### SIZE_TAG

          public static final java.lang.String SIZE_TAG

      `'size'` tag.
      See Also:
        Constant Field Values

    - #### COMMIT_TAG

          public static final java.lang.String COMMIT_TAG

      `'commit'` tag.
      See Also:
        Constant Field Values

    - #### DATE_TAG

          public static final java.lang.String DATE_TAG

      `'date'` tag.
      See Also:
        Constant Field Values

    - #### AUTHOR_TAG

          public static final java.lang.String AUTHOR_TAG

      `'author'` tag.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SVNXMLDirEntryHandler

          public SVNXMLDirEntryHandler(org.xml.sax.ContentHandler saxHandler)

      Creates a new handler.
      Parameters:
        `saxHandler` - a ContentHandler to form an XML tree

    - #### SVNXMLDirEntryHandler

          public SVNXMLDirEntryHandler(org.xml.sax.ContentHandler saxHandler,
                               org.tmatesoft.svn.util.ISVNDebugLog log)

      Creates a new handler.
      Parameters:
        `saxHandler` - a ContentHandler to form an XML tree
        `log` - a debug logger

  - ### Method Detail

    - #### startTarget

          public void startTarget(java.lang.String path)

      Begins an XML tree with the target path for which the status is run.
      Parameters:
        `path` - a WC target path or URL

    - #### handleDirEntry

          public void handleDirEntry(SVNDirEntry entry)
                              throws SVNException

      Handles a next dir `entry`.
      Specified by:
        `handleDirEntry` in interface `ISVNDirEntryHandler`
      Parameters:
        `entry` - dir entry
      Throws:
        `SVNException`
      See Also:
        `SVNDirEntry`

    - #### endTarget

          public void endTarget()

      Closes the formatted XML output.

    - #### getHeaderName

          protected java.lang.String getHeaderName()

      Specified by:
        `getHeaderName` in class `AbstractXMLHandler`

    - #### compare

          public int compare(java.lang.Object o1,
                    java.lang.Object o2)

      Compares two objects.
      Specified by:
        `compare` in interface `java.util.Comparator`
      Parameters:
        `o1` - the first object to compare
        `o2` - the second object to compare
      Returns:
        0 if objects are equal; -1 if `o1` is null or if both `o1` and `o2` are SVNDirEntry objects and the relative path of the first object is lexicographically less than that of the second one; 1 otherwise

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.